#include "..\script_component.hpp"

/*
 * Author: IDSolutions
 * Deposits money into the bank.
 *
 * Arguments:
 * None
 *
 * Return Value:
 * None
 *
 * Example:
 * [] call forge_client_bank_fnc_deposit;
 *
 * Public: Yes
 */

private _amount = parseNumber (ctrlText IDC_AMOUNTINPUT);

private _messageData = createHashMapFromArray [
    ["event", "DEPOSIT::FUNDS"],
    ["data", createHashMapFromArray [
        ["amount", _amount]
    ]]
];

private _response = ["forge_client_bank_handleEvents", (toJSON _messageData)] call CFUNC(localEvent);

if (_response) then {
    [format ["Deposited $%1", _amount], "info", 3, "right"] call EFUNC(misc,notify);
} else {
    [format ["Deposit failed"], "warning", 3, "right"] call EFUNC(misc,notify);
};