#include "..\script_component.hpp"

/*
 * Author: IDSolutions
 * Refreshes the bank dialog.
 *
 * Arguments:
 * None
 *
 * Return Value:
 * None
 *
 * Example:
 * [] call forge_client_bank_fnc_refresh;
 *
 * Public: Yes
 */

private _bank = GETVAR(player,FORGE_Bank,0); //TODO: Implement balance from server
private _cash = GETVAR(player,FORGE_Cash,0); //TODO: Implement cash from server

private _payMultiplier = "MULTIPLYR" call BFUNC(getParamValue);
private _plyscore = rating player;
private _pending = _plyscore * _payMultiplier;

private _formattedBank = _bank call EFUNC(misc,formatNumber);
private _formattedCash = _cash call EFUNC(misc,formatNumber);
private _formattedPending = _pending call EFUNC(misc,formatNumber);

if (!isNull (findDisplay IDD_BANKDIALOG)) then {
    ctrlSetText [IDC_CASHTEXT, format ["Cash: $%1", _formattedCash]];
    ctrlSetText [IDC_BANKTEXT, format ["Bank: $%1", _formattedBank]];
    ctrlSetText [IDC_RATINGTEXT, format ["Rating: %1", _formattedPending]];
    ctrlSetText [IDC_TIMESHEETTEXT, "Ready for Timesheet"];
    ctrlSetText [IDC_AMOUNTINPUT, ""];
    ctrlSetText [IDC_PLAYERINPUT, ""];
};