#include "..\script_component.hpp"

/*
 * Author: IDSolutions
 * Withdraws money from the bank
 *
 * Arguments:
 * None
 *
 * Return Value:
 * None
 *
 * Example:
 * [] call forge_client_bank_fnc_withdraw;
 *
 * Public: Yes
 */

private _display = findDisplay IDD_BANKDIALOG;
private _input = _display displayCtrl IDC_AMOUNTINPUT;
private _amount = parseNumber (ctrlText _input);

private _messageData = createHashMapFromArray [
    ["event", "WITHDRAW::FUNDS"],
    ["data", createHashMapFromArray [
        ["amount", _amount]
    ]]
];

private _response = ["forge_client_bank_handleEvents", (toJSON _messageData)] call CFUNC(localEvent);

if (_response) then {
    [format ["Withdrawn $%1", _amount], "info", 3, "right"] call EFUNC(misc,notify);
} else {
    [format ["Withdrawal failed"], "warning", 3, "right"] call EFUNC(misc,notify);
};