#include "..\script_component.hpp"

/*
 * Author: IDSolutions
 * Object displays a slideshow presentation
 *
 * Arguments:
 * 0: Object that will display the presentation <OBJECT>
 * 1: Slides that will be used for the presentation <ARRAY>
 *   - 0: Texture used for the Slide <STRING>
 *   - 1: Amount of Time the Slide will display <NUMBER>
 *
 * Return Value:
 * None
 *
 * Example:
 * [screen, [["texture.paa", 5]]] call forge_client_briefing_fnc_spawnLecture
 *
 * Public: No
 */

params ["_object", "_slides"];

{
	_x params ["_texture", "_delay"];
	_object setObjectTextureGlobal [0, _texture];
	uiSleep _delay;
	true
} count (_slides);